<template>
  <div class="d-flex flex-column">
    <assistant class="flex-grow-1" />

    <deck :deck="deck" class="" @goNext="goNext" />
  </div>
</template>

<script>
import Assistant from '@/components/assistant/Assistant'
import Deck from '@/components/cards/Deck'
import cardService from '@/services/cards.js'

export default {
  name: 'process',
  components: { Assistant, Deck },
  data () {
    return {
      deck: null,
      botMessage: null
    }
  },
  computed: {
  },
  methods: {
    goNext () {
      if (this.messages && this.messageIndex < this.messages.length - 1) {
        this.messageIndex += 1
      }
    }
  },
  async mounted () {
    this.deck = await cardService.getDeck('cards_example')
  }
}
</script>

<style scoped>
</style>
